EnTT: entt::meta_function_descriptor_traits< Ret, Args, Static, Const > Struct Template Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Types | Static Public Attributes | List of all members
entt::meta_function_descriptor_traits< Ret, Args, Static, Const > Struct Template Reference

Meta function descriptor traits. More...

`#include <utility.hpp>`

## Public Types
using | return_type = Ret
| Meta function return type.
using | args_type = Args
| Meta function arguments.

## Static Public Attributes
static constexpr bool | is_static = Static
| True if the meta function is static, false otherwise.
static constexpr bool | is_const = Const
| True if the meta function is const, false otherwise.

## Detailed Description

template<typename Ret, typename Args, bool Static, bool Const>
struct entt::meta_function_descriptor_traits< Ret, Args, Static, Const >

Meta function descriptor traits.

Template Parameters

  Ret | Function return type.
  Args | Function arguments.
  Static | Function staticness.
  Const | Function constness.

Definition at line 24 of file utility.hpp.

## Member Typedef Documentation

## ◆ args_type

template<typename Ret, typename Args, bool Static, bool Const>

using entt::meta_function_descriptor_traits< Ret, Args, Static, Const >::args_type = Args

Meta function arguments.

Definition at line 28 of file utility.hpp.

## ◆ return_type

template<typename Ret, typename Args, bool Static, bool Const>

using entt::meta_function_descriptor_traits< Ret, Args, Static, Const >::return_type = Ret

Meta function return type.

Definition at line 26 of file utility.hpp.

## Member Data Documentation

## ◆ is_const

template<typename Ret, typename Args, bool Static, bool Const>

bool entt::meta_function_descriptor_traits< Ret, Args, Static, Const >::is_const = Const
| staticconstexpr

True if the meta function is const, false otherwise.

Definition at line 33 of file utility.hpp.

## ◆ is_static

template<typename Ret, typename Args, bool Static, bool Const>

bool entt::meta_function_descriptor_traits< Ret, Args, Static, Const >::is_static = Static
| staticconstexpr

True if the meta function is static, false otherwise.

Definition at line 31 of file utility.hpp.

The documentation for this struct was generated from the following file:

- src/entt/meta/utility.hpp